package com.zjrs.zwnw.zj.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.zwnw.zj.dto.QsDTO;
import com.zjrs.zwnw.zj.dto.QsPageDTO;
import com.zjrs.zwnw.zj.dto.QsbsDTO;

import jakarta.servlet.http.HttpServletResponse;


public interface QsbsBPO {
    //导出事项结果表
    public void export(QsDTO dto, HttpServletResponse res);
    //删除
    public AjaxResponse del(QsDTO dto);
    //查询信息
    public AjaxResponse getInfo(QsDTO dto);
    //保存
    public AjaxResponse saveOrUpd(QsbsDTO dto);
    //查询列表
    public PageResult getList(QsPageDTO dto, int page, int rows);
    //查询上一年度累计总量
    public AjaxResponse getTjData();
}
